public class Letter extends Guess {
    private char _c;

    public Letter(char ch) {
        _c = ch;
    }

    public char getValue() {
        return _c;
    }

    public void addTo(Message m) {
        m.addLetter(this);
        if (getValue() == ' ') {
            m.endLastWord();
        }
    }

    public void presentTo(Presenter p) {
        p.presentLetter(this);
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } 
        if (!(o instanceof Letter)) {
            return false;
        }
        Letter l = (Letter)o;
        return (l.getValue() == _c);
    }
}
